=== debian/control ===
Source: tuxsuite
Maintainer: Senthil Kumaran <senthil.kumaran@linaro.org>
Section: python
Priority: optional
Build-Depends: b4,
               bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               wget,
               python3-all,
               python3-attr,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-requests,
               python3-flask,
               python3-flask-restful,
               pybuild-plugin-pyproject,
               python3-voluptuous,
               python3-yaml
Standards-Version: 3.9.6
Homepage: https://tuxsuite.com/

Package: tuxsuite
Architecture: all
Depends: b4,
         python3 (>= 3.6),
         python3-attr,
         python3-requests,
         python3-voluptuous,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: tuxsuite.com client for Linux kernel building and testing
  TuxSuite, by Linaro, is a suite of tools and services to help with Linux
  kernel development. The TuxSuite CLI is the supported interface to TuxBuild
  and TuxTest. TuxBuild is an on demand API for building massive quantities of
  Linux kernels in parallel. TuxTest is an on demand API for testing Linux
  kernels reliably and quickly.
